Name:           fairymax
Version:        4.8
Release:        %mkrel 1
Summary:        A XBoard compatible chess and chess-variant engine
License:        BSD
Group:          Games/Boards
URL:            http://home.hccnet.nl/h.g.muller/CVfairy.html
Source0:        http://home.hccnet.nl/h.g.muller/%{name}.tar.xz

%description
Fairy-Max is a program that plays chess and chess variants. It uses the
xboard/winboard chess-engine protocol to communicate.  Apart from 'regular'
chess (also known as the Mad-Queen variant), it can play Capablanca chess,
gothic chess, knightmate, cylinder chess, berolina chess, superchess,
makruk (Thai chess) and courier chess. Fairy-Max can be easily configured by
the user to play other variants as well, by modifying the ini file. This ini
file describes the rules of movement of the participating pieces and the
initial board setup.

ShaMax is a version of Fairy-Max adopted to play shatranj. It implements the
baring rule.

Fairy-Max can also play shatranj, but in this case is not aware of the shatranj
rule that a bare king loses. So it might play sub-optimally in the late
end-game.

ShaMax is a version of Fairy-Max adopted to play XianQi (Chinese Chess).


%prep
%setup -q -n Fairy-Max

%build
%make

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_gamesbindir}
install -m0755 fairymax %{buildroot}%{_gamesbindir}
install -m0755 maxqi %{buildroot}%{_gamesbindir}
install -m0755 shamax %{buildroot}%{_gamesbindir}

#data files
mkdir -p %{buildroot}%{_gamesdatadir}/%{name}
install -m0755 data/fmax.ini %{buildroot}%{_gamesdatadir}/%{name}/
install -m0755 data/qmax.ini %{buildroot}%{_gamesdatadir}/%{name}/

#man
install -m0644 %{name}.6.gz -D $RPM_BUILD_ROOT%{_mandir}/man6/%{name}.6.gz

%files
%defattr(-,root,root,0755)
%doc changelog copyright README
%{_gamesbindir}/%{name}
%{_gamesbindir}/shamax
%{_gamesbindir}/maxqi
%{_mandir}/man6/%{name}.6*
%{_gamesdatadir}/%{name}/fmax.ini
%{_gamesdatadir}/%{name}/qmax.ini


%changelog
* Wed Jul 27 2016 adrianomorselli <adrianomorselli> 4.8.-1uplos2011
- rebuild

* Sun Oct 09 2011 Texstar <texstar at gmail.com> 4.8-1pclos2011
- 4.8
